
QGIS Application - Bug report #14292

'Merge Selected Features' does not remove unnecessary nodes

2016-02-13 08:35 AM - Paul Kanelli

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 22283

Description

1.) add a new polygon feature

2.) use 'Split Features' tool to split the feature

3.) use 'Merge Selected Features' tool to merge the features

Now there are new nodes where the features were merged. This may cause trouble processing geometries:

http://gis.stackexchange.com/questions/180593/unexpected-behaviour-using-st-equals-with-qgis

History

#1 - 2016-02-13 01:38 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

I don't think this is a bug... It's not safe to auto remove these, as floating point inaccuracies will slightly alter the geometry when the split operation is

performed. Use the hausdorff distance instead as a "fuzzy" comparison (http://postgis.net/docs/ST_HausdorffDistance.html), or run a simplify on the

resultant geometry with a very small tolerance to try and remove these extra vertices.

#2 - 2016-02-14 11:48 AM - Paul Kanelli

Thanks for your detailed explanation!
